﻿<div class="card">
    <div class="card-body">
        <h2>
            JS Interop Playground.
        </h2>
        <p>
            This is a demo panel for displaying the JS interop functions that we have developed.
        </p>
        <div class="form-group">
            <input type="text" @bind-value="AlertValue" />

            <button type="button"
                    class="btn btn-primary"
                    @onclick="OnClickShowAlert">
                Show Alert
            </button>
        </div>

        <div class="form-group">
            <button type="button"
                    class="btn btn-primary"
                    @onclick="OnClickGenerate">
                Generate
            </button>

            Random String: @RandomString
        </div>

        <h3>
            Container Append
        </h3>
        <div class="form-group">
            <input type="text" @bind-value="ContainerMessage" />

            <button type="button"
                    class="btn btn-primary"
                    @onclick="AppendNewElement">
                Generate
            </button>
        </div>
        <p>
            Below is the container, your appended p element will be displayed below:
        </p>
        <div id="containerAppend" @ref="ContainerElement">
        </div>
    </div>
</div>